Skip to main content
POST
/
v1
/
admin
/
legal
/
contracts
/
templates
/
{id}
/
versions
Create a contract template version
curl --request POST \
  --url https://{operatorDomain}/v1/admin/legal/contracts/templates/{id}/versions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "templateId": "<string>",
  "version": 3,
  "body": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}
'
{
  "data": {
    "id": "<string>",
    "templateId": "<string>",
    "version": 3,
    "body": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
id
string
required
templateId
string
required
version
integer
Example:

3

body
string
createdAt
string<date-time>

Response

201 - application/json

Created version

data
object